%define major   0
%define libname %mklibname dbusmenu-lxqt %{major}
%define devname %mklibname dbusmenu-lxqt -d

%define rel 1

Name:          libdbusmenu-lxqt
Version:       0.2.0
Release:       %mkrel %rel
Summary:       Qt implementation of the DBusMenu protocol
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/libdbusmenu-lxqt/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Test)

%description
This library provides a Qt implementation of the DBusMenu protocol.

%package -n %{libname}
Summary:       Core Libraries for libdbusmenu-lxqt
Group:         System/Libraries

%description -n %{libname}
Core Libraries for libdbusmenu-lxqt.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release

Requires:      %{libname} = %{version}

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files -n %{devname}
%{_includedir}/dbusmenu-lxqt/
%{_libdir}/cmake/dbusmenu-lxqt/
%{_libdir}/libdbusmenu-lxqt.so
%{_libdir}/pkgconfig/dbusmenu-lxqt.pc

%files -n %{libname}
%{_libdir}/libdbusmenu-lxqt.so.%{major}{,.*}


%changelog
* Tue Nov 05 2024 daviddavid <daviddavid> 0.2.0-1.mga10
+ Revision: 2112531
- New version 0.2.0
- fix owner of include dir and lib cmake dir

* Thu Apr 18 2024 papoteur <papoteur> 0.1.0-1.mga10
+ Revision: 2058797
- imported package libdbusmenu-lxqt

